disp('WARNING: values around machine precision may differ.')
disp(' ')
deg = 2;
[xi1 xi2 wxi type]=padpts(deg,'B');
f = F1(xi1,xi2);
[C0 errest] = pad2(deg,xi1,xi2,wxi,f);
val = xx2val(C0,deg,xi1,xi2);
err = max(abs(val - F1(xi1,xi2)));
disp(sprintf('Padua bottom even. err: %10.4e, should be: %10.4e',err,6.6613e-16))
deg = 3;
[xi1 xi2 wxi type]=padpts(deg,'B');
f = F1(xi1,xi2);
[C0 errest] = pad2(deg,xi1,xi2,wxi,f);
val = xx2val(C0,deg,xi1,xi2);
err = max(abs(val - F1(xi1,xi2)));
disp(sprintf('Padua bottom odd.  err: %10.4e, should be: %10.4e',err,5.5511e-16))
deg = 2;
[xi1 xi2 wxi type]=padpts(deg,'T');
f = F1(xi1,xi2);
[C0 errest] = pad2(deg,xi1,xi2,wxi,f);
val = xx2val(C0,deg,xi1,xi2);
err = max(abs(val - F1(xi1,xi2)));
disp(sprintf('Padua top even.    err: %10.4e, should be: %10.4e',err,4.9960e-16))
deg = 3;
[xi1 xi2 wxi type]=padpts(deg,'T');
f = F1(xi1,xi2);
[C0 errest] = pad2(deg,xi1,xi2,wxi,f);
val = xx2val(C0,deg,xi1,xi2);
err = max(abs(val - F1(xi1,xi2)));
disp(sprintf('Padua top odd.     err: %10.4e, should be: %10.4e',err,6.6613e-16))
deg = 2;
[xi1 xi2 wxi type]=padpts(deg,'L');
f = F1(xi1,xi2);
[C0 errest] = pad2(deg,xi1,xi2,wxi,f);
val = xx2val(C0,deg,xi1,xi2);
err = max(abs(val - F1(xi1,xi2)));
disp(sprintf('Padua left even.   err: %10.4e, should be: %10.4e',err,3.8858e-16))
deg = 3;
[xi1 xi2 wxi type]=padpts(deg,'L');
f = F1(xi1,xi2);
[C0 errest] = pad2(deg,xi1,xi2,wxi,f);
val = xx2val(C0,deg,xi1,xi2);
err = max(abs(val - F1(xi1,xi2)));
disp(sprintf('Padua left odd.    err: %10.4e, should be: %10.4e',err,7.2164e-16))
deg = 2;
[xi1 xi2 wxi type]=padpts(deg,'R');
f = F1(xi1,xi2);
[C0 errest] = pad2(deg,xi1,xi2,wxi,f);
val = xx2val(C0,deg,xi1,xi2);
err = max(abs(val - F1(xi1,xi2)));
disp(sprintf('Padua right even.  err: %10.4e, should be: %10.4e',err,4.4409e-16))
deg = 2;
[xi1 xi2 wxi type]=padpts(deg,'R');
f = F1(xi1,xi2);
[C0 errest] = pad2(deg,xi1,xi2,wxi,f);
val = xx2val(C0,deg,xi1,xi2);
err = max(abs(val - F1(xi1,xi2)));
disp(sprintf('Padua right odd.   err: %10.4e, should be: %10.4e',err,4.4409e-16))
deg = 50;
[xi1 xi2 wxi]=xupts(deg);
f = F1((xi1+1)/2,(xi2+1)/2);
[C0 errest] = xu2(deg,xi1,xi2,wxi,f);
ntg = 10;
[x1 x2]=meshgrid(linspace(-1,1,ntg));
x1 = reshape(x1,1,ntg ^ 2);
x2 = reshape(x2,1,ntg ^ 2);
val = xx2val(C0,deg,x1,x2);
err = max(abs(val - F1((x1+1)/2,(x2+1)/2)));
disp(sprintf('Xu even.           err: %10.4e, should be: %10.4e',err,9.0478e-9))
deg = 49;
[xi1 xi2 wxi]=xupts(deg);
f = F1((xi1+1)/2,(xi2+1)/2);
[C0 errest] = xu2(deg,xi1,xi2,wxi,f);
ntg = 10;
[x1 x2]=meshgrid(linspace(-1,1,ntg));
x1 = reshape(x1,1,ntg ^ 2);
x2 = reshape(x2,1,ntg ^ 2);
val = xx2val(C0,deg,x1,x2);
err = max(abs(val - F1((x1+1)/2,(x2+1)/2)));
disp(sprintf('Xu topright odd.   err: %10.4e, should be: %10.4e',err,3.3150e-8))
deg = 49;
[xi1 xi2 wxi]=xupts(deg,'TL');
f = F1((xi1+1)/2,(xi2+1)/2);
[C0 errest] = xu2(deg,xi1,xi2,wxi,f);
ntg = 10;
[x1 x2]=meshgrid(linspace(-1,1,ntg));
x1 = reshape(x1,1,ntg ^ 2);
x2 = reshape(x2,1,ntg ^ 2);
val = xx2val(C0,deg,x1,x2);
err = max(abs(val - F1((x1+1)/2,(x2+1)/2)));
disp(sprintf('Xu topleft odd.    err: %10.4e, should be: %10.4e',err,1.3851e-8))
disp(' ')
disp('WARNING: values around machine precision may differ.')
